%global commit 3e3512d2d6c81a4ca9b3b4d3f3936c876a6482f7
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:                gnome-abrt
Version:             1.4.2
Release:             1
Summary:             A utility for viewing problems that have occurred with the system
License:             GPLv2+
URL:                 https://github.com/abrt/gnome-abrt
%if 0%{?snapshot}
Source0:             %{url}/archive/%{commit}.tar.gz#/gnome-abrt-%{commit}.tar.gz
%else
Source0:             %{url}/archive/%{version}/gnome-abrt-%{version}.tar.gz
%endif
BuildRequires:       meson gettext libtool python3-devel desktop-file-utils asciidoc xmlto
BuildRequires:       pygobject3-devel libreport-gtk-devel > 2.4.0 python3-libreport
BuildRequires:       abrt-gui-devel > 2.4.0 gtk3-devel
BuildRequires:       python3-pylint python3-six python3-inotify python3-gobject python3-dbus
BuildRequires:       python3-humanize python3dist(beautifulsoup4)
Requires:            python3-libreport python3-inotify python3-gobject python3-dbus python3-humanize
Requires:            python3dist(beautifulsoup4)
%description
A GNOME application allows users to browse through detected problems and
provides them with convenient way for managing these problems.

%prep
%autosetup %{?snapshot:-n gnome-abrt%-%{commit}} -p1

%build
%meson \
    -Dlint=false \
    %{nil}
%meson_build

%install
%meson_install
%find_lang gnome-abrt

%check
%meson_test || :

%files -f gnome-abrt.lang
%doc COPYING README.md
%{python3_sitearch}/gnome_abrt
%{_datadir}/gnome-abrt
%{_bindir}/gnome-abrt
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_mandir}/man1/gnome-abrt.1*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Apr 12 2023 liweiganga <liweiganga@uniontech.com> - 1.4.2-1
- update to 1.4.2

* Thu May 5 2022 caodongxia <caodongxia@h-partners.com> - 1.4.1-1
- update to 1.4.1 

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.3.5-4
- DESC: delete -S git from %autosetup, and delete BuildRequires git-core

* Thu Jul  1 2021 lingsheng <lingsheng@huawei.com> - 1.3.5-3
- Fix Python module installation

* Wed Jun 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.3.5-2
- Update to fix build error with python3.8

* Fri Dec 6 2019 Tianfei <tianfei16@huawei.com> - 1.2.6-10
- Package init
